Package com.xebialabs.xlrelease.events

# Class CompleteTaskJobExecutionOperation

java.lang.Object
com.xebialabs.xlrelease.events.CompleteTaskJobExecutionOperation

All Implemented Interfaces:
  `XLReleaseOperation`, `Serializable`, `scala.Equals`, `scala.Product`

public class CompleteTaskJobExecutionOperation extends Object implements XLReleaseOperation, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompleteTaskJobExecutionOperation(Task task, String executionId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `scala.runtime.Null$`
  `action()`
  `static CompleteTaskJobExecutionOperation`
  `apply(Task task, String executionId)`
  `boolean`
  `canEqual(Object x$1)`
  `CompleteTaskJobExecutionOperation`
  `copy(Task task, String executionId)`
  `Task`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `TaskJobExecutedEvent`
  `event()`
  `String`
  `executionId()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Task`
  `task()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<Task,String>>`
  `unapply(CompleteTaskJobExecutionOperation x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### CompleteTaskJobExecutionOperation

    public CompleteTaskJobExecutionOperation(Task task, String executionId)

- ## Method Details

  - ### apply

    public static CompleteTaskJobExecutionOperation apply(Task task, String executionId)

  - ### unapply

    public static scala.Option<scala.Tuple2<Task,String>> unapply(CompleteTaskJobExecutionOperation x$0)

  - ### task

    public Task task()

  - ### executionId

    public String executionId()

  - ### action

    public scala.runtime.Null$ action()
    Specified by:
      `action` in interface `XLReleaseOperation`

  - ### event

    public TaskJobExecutedEvent event()
    Specified by:
      `event` in interface `XLReleaseOperation`

  - ### copy

    public CompleteTaskJobExecutionOperation copy(Task task, String executionId)

  - ### copy$default$1

    public Task copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`